StorageStatistics.CommonStatisticNames (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: StorageStatistics, interface: CommonStatisticNames

Package org.apache.hadoop.fs

# Interface StorageStatistics.CommonStatisticNames

Enclosing class:
  StorageStatistics

@Evolving public static interface StorageStatistics.CommonStatisticNames
These are common statistic names.

The following names are considered general and preserved across different StorageStatistics classes. When implementing a new StorageStatistics, it is highly recommended to use the common statistic names.

When adding new common statistic name constants, please make them unique. By convention, they are implicitly unique:

- the name of the constants are uppercase, words separated by underscores.
- the value of the constants are lowercase of the constant names.

See `StoreStatisticNames` for the field names used here and elsewhere.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OP_APPEND`
  `static final String`
  `OP_COPY_FROM_LOCAL_FILE`
  `static final String`
  `OP_CREATE`
  `static final String`
  `OP_CREATE_NON_RECURSIVE`
  `static final String`
  `OP_DELETE`
  `static final String`
  `OP_EXISTS`
  `static final String`
  `OP_GET_CONTENT_SUMMARY`
  `static final String`
  `OP_GET_DELEGATION_TOKEN`
  `static final String`
  `OP_GET_FILE_CHECKSUM`
  `static final String`
  `OP_GET_FILE_STATUS`
  `static final String`
  `OP_GET_STATUS`
  `static final String`
  `OP_GLOB_STATUS`
  `static final String`
  `OP_IS_DIRECTORY`
  `static final String`
  `OP_IS_FILE`
  `static final String`
  `OP_LIST_FILES`
  `static final String`
  `OP_LIST_LOCATED_STATUS`
  `static final String`
  `OP_LIST_STATUS`
  `static final String`
  `OP_MKDIRS`
  `static final String`
  `OP_MODIFY_ACL_ENTRIES`
  `static final String`
  `OP_OPEN`
  `static final String`
  `OP_REMOVE_ACL`
  `static final String`
  `OP_REMOVE_ACL_ENTRIES`
  `static final String`
  `OP_REMOVE_DEFAULT_ACL`
  `static final String`
  `OP_RENAME`
  `static final String`
  `OP_SET_ACL`
  `static final String`
  `OP_SET_OWNER`
  `static final String`
  `OP_SET_PERMISSION`
  `static final String`
  `OP_SET_TIMES`
  `static final String`
  `OP_TRUNCATE`

- ## Field Details

  - ### OP_APPEND

    static final String OP_APPEND
    See Also:
      - Constant Field Values

  - ### OP_COPY_FROM_LOCAL_FILE

    static final String OP_COPY_FROM_LOCAL_FILE
    See Also:
      - Constant Field Values

  - ### OP_CREATE

    static final String OP_CREATE
    See Also:
      - Constant Field Values

  - ### OP_CREATE_NON_RECURSIVE

    static final String OP_CREATE_NON_RECURSIVE
    See Also:
      - Constant Field Values

  - ### OP_DELETE

    static final String OP_DELETE
    See Also:
      - Constant Field Values

  - ### OP_EXISTS

    static final String OP_EXISTS
    See Also:
      - Constant Field Values

  - ### OP_GET_CONTENT_SUMMARY

    static final String OP_GET_CONTENT_SUMMARY
    See Also:
      - Constant Field Values

  - ### OP_GET_DELEGATION_TOKEN

    static final String OP_GET_DELEGATION_TOKEN
    See Also:
      - Constant Field Values

  - ### OP_GET_FILE_CHECKSUM

    static final String OP_GET_FILE_CHECKSUM
    See Also:
      - Constant Field Values

  - ### OP_GET_FILE_STATUS

    static final String OP_GET_FILE_STATUS
    See Also:
      - Constant Field Values

  - ### OP_GET_STATUS

    static final String OP_GET_STATUS
    See Also:
      - Constant Field Values

  - ### OP_GLOB_STATUS

    static final String OP_GLOB_STATUS
    See Also:
      - Constant Field Values

  - ### OP_IS_FILE

    static final String OP_IS_FILE
    See Also:
      - Constant Field Values

  - ### OP_IS_DIRECTORY

    static final String OP_IS_DIRECTORY
    See Also:
      - Constant Field Values

  - ### OP_LIST_FILES

    static final String OP_LIST_FILES
    See Also:
      - Constant Field Values

  - ### OP_LIST_LOCATED_STATUS

    static final String OP_LIST_LOCATED_STATUS
    See Also:
      - Constant Field Values

  - ### OP_LIST_STATUS

    static final String OP_LIST_STATUS
    See Also:
      - Constant Field Values

  - ### OP_MKDIRS

    static final String OP_MKDIRS
    See Also:
      - Constant Field Values

  - ### OP_MODIFY_ACL_ENTRIES

    static final String OP_MODIFY_ACL_ENTRIES
    See Also:
      - Constant Field Values

  - ### OP_OPEN

    static final String OP_OPEN
    See Also:
      - Constant Field Values

  - ### OP_REMOVE_ACL

    static final String OP_REMOVE_ACL
    See Also:
      - Constant Field Values

  - ### OP_REMOVE_ACL_ENTRIES

    static final String OP_REMOVE_ACL_ENTRIES
    See Also:
      - Constant Field Values

  - ### OP_REMOVE_DEFAULT_ACL

    static final String OP_REMOVE_DEFAULT_ACL
    See Also:
      - Constant Field Values

  - ### OP_RENAME

    static final String OP_RENAME
    See Also:
      - Constant Field Values

  - ### OP_SET_ACL

    static final String OP_SET_ACL
    See Also:
      - Constant Field Values

  - ### OP_SET_OWNER

    static final String OP_SET_OWNER
    See Also:
      - Constant Field Values

  - ### OP_SET_PERMISSION

    static final String OP_SET_PERMISSION
    See Also:
      - Constant Field Values

  - ### OP_SET_TIMES

    static final String OP_SET_TIMES
    See Also:
      - Constant Field Values

  - ### OP_TRUNCATE

    static final String OP_TRUNCATE
    See Also:
      - Constant Field Values